Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.builder.dialect.mvel
Class MVELActionBuilder

    java.lang.Object
      org.jbpm.process.builder.dialect.mvel.MVELActionBuilder

All Implemented Interfaces:
  ActionBuilder

    public class MVELActionBuilder

extends Object
implements ActionBuilder

Constructor Summary
`MVELActionBuilder()`

Method Summary
`void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver)`
`static String` | `delimitExpressions(String s)` Allows newlines to demarcate expressions, as per MVEL command line.
`static String` | `processMacros(String consequence)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVELActionBuilder

    public MVELActionBuilder()

Method Detail

### build

    public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                      DroolsAction action,
                      org.drools.compiler.lang.descr.ActionDescr actionDescr,
                      ContextResolver contextResolver)

  Specified by:
    `build` in interface `ActionBuilder`

### processMacros

    public static String processMacros(String consequence)

### delimitExpressions

    public static String delimitExpressions(String s)

  Allows newlines to demarcate expressions, as per MVEL command line. If expression spans multiple lines (ie inside an unbalanced bracket) then it is left alone. Uses character based iteration which is at least an order of magnitude faster then a single simple regex.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.